Loading...
Searching...
No Matches
Gfx::Vertex Struct Reference

Vertex of a primitive. More...

`#include <src/graphics/core/vertex.h>`

## Public Member Functions

| Vertex (Math::Vector aCoord=Math::Vector(), Math::Vector aNormal=Math::Vector(), Math::Point aTexCoord=Math::Point())
std::string | ToString () const
| Returns a string "(c: [...], n: [...], tc: [...])".

## Public Attributes

Math::Vector | coord
Math::Vector | normal
Math::Point | texCoord

## Static Public Attributes

static constexpr VertexType | VERTEX_TYPE = VERTEX_TYPE_NORMAL

## Detailed Description

Vertex of a primitive.

This structure was created as analog to DirectX's D3DVERTEX.

It contains:

- vertex coordinates (x,y,z) as Math::Vector,
- normal coordinates (nx,ny,nz) as Math::Vector
- texture coordinates (u,v) as Math::Point.

## Member Function Documentation

## ToString()

std::string Gfx::Vertex::ToString | ( |  | ) | const

inline

Returns a string "(c: [...], n: [...], tc: [...])".

The documentation for this struct was generated from the following file:

- src/graphics/core/vertex.h